### Constructor

# St Theme new

#### Declaration [src]

    StTheme*
    st_theme_new (
      GFile* application_stylesheet,
      GFile* theme_stylesheet,
      GFile* default_stylesheet
    )

#### Description

No description available.

#### Parameters

`application_stylesheet`

  Type: `GFile`

  The highest priority stylesheet, representing application-specific styling; this is associated with the CSS “author” stylesheet, may be `NULL`.

  The data is owned by the caller of the function.

`theme_stylesheet`

  Type: `GFile`

  The second priority stylesheet, representing theme-specific styling ; this is associated with the CSS “user” stylesheet, may be `NULL`.

  The data is owned by the caller of the function.

`default_stylesheet`

  Type: `GFile`

  The lowest priority stylesheet, representing global default styling; this is associated with the CSS “user agent” stylesheet, may be `NULL`.

  The data is owned by the caller of the function.

#### Return value

Type: `StTheme`

The newly created theme object.

The caller of the function takes ownership of the data, and is responsible for freeing it.